Name:           xvkbd
Version:        3.0
Release:        1%{?dist}
Summary:        xvkbd - virtual keyboard for X window system


Group:          Desktop/Accessibility
License:        GPLv2+
URL:            http://homepage3.nifty.com/tsato/xvkbd/
Source0:        %{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  Xaw3d-devel
Requires:       Xaw3d

%description
xvkbd is a virtual (graphical) keyboard program for X Window System
which provides facility to enter characters onto other clients (soft-
wares) by clicking on a keyboard displayed on the screen.  This may be
used for systems without a hardware keyboard such as kiosk terminals or
handheld devices.  This program also has facility to send characters
specified as the command line option to another client.


%prep
%setup -q


%build
gcc -c xvkbd.c
gcc -c findwidget.c 
gcc xvkbd.o findwidget.o -o xvkbd -lXaw3d -lXtst


%install
rm -rf $RPM_BUILD_ROOT
#make install DESTDIR=$RPM_BUILD_ROOT
install -m 755 -d $RPM_BUILD_ROOT/usr/bin/
install -m 755 -t $RPM_BUILD_ROOT/usr/bin/ xvkbd
install -m 755 -d $RPM_BUILD_ROOT/%{_datadir}/X11/app-defaults/
install -m 644 -t $RPM_BUILD_ROOT/%{_datadir}/X11/app-defaults/ *.ad
# Where should we put those images ? (*.xbm ?)


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc README

/usr/bin/xvkbd
/usr/share/X11/app-defaults/XVkbd-belgian.ad
/usr/share/X11/app-defaults/XVkbd-common.ad
/usr/share/X11/app-defaults/XVkbd-danish.ad
/usr/share/X11/app-defaults/XVkbd-fitaly.ad
/usr/share/X11/app-defaults/XVkbd-french.ad
/usr/share/X11/app-defaults/XVkbd-french2.ad
/usr/share/X11/app-defaults/XVkbd-german.ad
/usr/share/X11/app-defaults/XVkbd-greek.ad
/usr/share/X11/app-defaults/XVkbd-hebrew.ad
/usr/share/X11/app-defaults/XVkbd-icelandic.ad
/usr/share/X11/app-defaults/XVkbd-italian.ad
/usr/share/X11/app-defaults/XVkbd-jisx6002.ad
/usr/share/X11/app-defaults/XVkbd-jisx6004.ad
/usr/share/X11/app-defaults/XVkbd-korean.ad
/usr/share/X11/app-defaults/XVkbd-latin1.ad
/usr/share/X11/app-defaults/XVkbd-norwegian.ad
/usr/share/X11/app-defaults/XVkbd-portuguese.ad
/usr/share/X11/app-defaults/XVkbd-russian.ad
/usr/share/X11/app-defaults/XVkbd-slovene.ad
/usr/share/X11/app-defaults/XVkbd-small.ad
/usr/share/X11/app-defaults/XVkbd-spanish.ad
/usr/share/X11/app-defaults/XVkbd-swedish.ad
/usr/share/X11/app-defaults/XVkbd-swissgerman.ad
/usr/share/X11/app-defaults/XVkbd-turkish.ad
/usr/share/X11/app-defaults/XVkbd-uk.ad
/usr/share/X11/app-defaults/XVkbd.ad

%changelog
